Package: org.grails.cli.profile.repository

## [Groovy] Class AbstractJarProfileRepository.JarProfile

- org.grails.cli.profile.repository.AbstractJarProfileRepository.JarProfile

-     static class AbstractJarProfileRepository.JarProfile
      extends AbstractProfile

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractProfile` | `binaryExtensions, buildExcludes, buildMerge, buildPlugins, buildRepositories, classLoader, commandsByName, defaultFeaturesNames, dependencies, description, exclusionDependencySelector, executablePatterns, features, instructions, internalCommands, name, navigableConfig, parentNames, parentProfiles, parentTargetFolder, profileDir, profileRepository, repositories, requiredFeatureNames, skeletonExcludes, version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JarProfile (ProfileRepository repository, Resource profileDir, java.lang.ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Iterable<Command>` | `getCommands(ProjectContext context)`
    `` | `java.lang.String` | `getName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractProfile` | `getBinaryExtensions, getBuildMergeProfileNames, getBuildPlugins, getBuildRepositories, getCommand, getCommands, getCompleters, getConfiguration, getDefaultFeatures, getDependencies, getDescription, getExecutablePatterns, getExtends, getFeatures, getInstructions, getParentSkeletonDir, getParentSkeletonDir, getProfileDir, getProfileRepository, getRepositories, getRequiredFeatures, getSkeletonExcludes, getTemplate, getVersion, handleCommand, hasCommand, initialize, registerParentCommands, setProfileRepository`

- - ### Constructor Detail

    - #### JarProfile(ProfileRepository repository, Resource profileDir, java.lang.ClassLoader classLoader)

  - ### Method Detail

    - #### @java.lang.Override java.lang.Iterable<Command> getCommands(ProjectContext context)

    - #### @java.lang.Override java.lang.String getName()